I am doing migration from 1.03 to 2.1 in Sles 10.3 environment using to different servers. Installing 2.1 in new server is ok but when I replace the mysql database with the old one (using first update-mysql.sql script and then letting the installation upgrade too) I am not able to log in anymore. Just getting message about invalid password.

What should be done in different way?